#
# ucpk02.rb
#
# $Id: ucpk02.rb,v 1.1 2000/11/22 14:35:56 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


jd0 = 19920401

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn(iws.abs)

DCL::sglset('LFULL', true)
DCL::uzfact(0.7)
DCL::slrat(1.0, 0.75)
DCL::sldiv('Y', 7, 1)

DCL::sgfrm
DCL::uzinit
nd=30
DCL::sgswnd(0.0, 1.0, 0.0, nd.to_f)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucyacl('L', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=90
DCL::sgswnd(0.0, 1.0, 0.0, nd.to_f)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucyacl('L', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=180
DCL::sgswnd(0.0, 1.0, 0.0, nd.to_f)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucyacl('L', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=400
DCL::sgswnd(0.0, 1.0, 0.0, nd.to_f)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucyacl('L', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=60
DCL::sgswnd(0.0, 1.0, 0.0, nd.to_f)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucyady('L', jd0, nd)
ctl = 'UCYADY (ND=60)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
nd=120
DCL::sgswnd(0.0, 1.0, 0.0, nd.to_f)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucyamn('L', jd0, nd)
ctl = 'UCYAMN (ND=120)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
nd=2000
DCL::sgswnd(0.0, 1.0, 0.0, nd.to_f)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucyayr('L', jd0, nd)
ctl = 'UCYAYR (ND=2000)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgcls

